Skip to main content
`Ctrl`+`K`

# PetscHMapIJIterSet

Set the value referenced by an iterator in the hash

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJIterSet(PetscHMapIJ ht, PetscHashIter iter, PetscScalar val)

## Input Parameters

- ht - The hash table

- iter - The iterator

- val - The value

## See Also

`PetscHMapIJPut()`, `PetscHMapIJQuerySet()`, `PetscHMapIJSet()`, `PetscHMapIJSetWithMode()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages